# $Revision: 1.13 $, $Date: 2009/09/22 07:10:49 $
Summary:	PNG loader library for OpenGL
Summary(pl.UTF-8):	Biblioteka ładująca PNG dla OpenGL
Name:		libglpng
Version:	1.45
Release:	1
License:	BSD
Group:		X11/Libraries
Source0:	http://www.wyatt100.freeserve.co.uk/glpng.zip
# Source0-md5:	bed59efb699a51e6de7434580df41395
Patch0:		%{name}-debian.patch
Patch1:		%{name}-Makefile.patch
URL:		http://www.fachschaften.neuphilologie.uni-tuebingen.de/doc/libglpng/glpng.html
BuildRequires:	OpenGL-devel
BuildRequires:	libpng-devel
BuildRequires:	unzip
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
This is a library for OpenGL to load PNG graphics files as an OpenGL
texture as easily as possible.

%description -l pl.UTF-8
To jest biblioteka dla OpenGL pozwalająca ładować grafikę PNG jako
tekstury OpenGL.

%package devel
Summary:	Libraries, includes, etc to develop libglpng applications
Summary(pl.UTF-8):	Pliki developerskie libglpng
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-devel

%description devel
Libraries, includes, etc to develop libglpng applications.

%description devel -l pl.UTF-8
Pliki developerskie libglpng.

%package static
Summary:	Static libglpng library
Summary(pl.UTF-8):	Biblioteka statyczna libglpng
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libglpng library.

%description static -l pl.UTF-8
Biblioteka statyczna libglpng.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	LIBDIR=%{_libdir} \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

rm -f Example/*.exe

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.htm
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc Example/*
%{_includedir}/GL/*.h
%attr(755,root,root) %{_libdir}/lib*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libglpng.spec,v $
Revision 1.13  2009/09/22 07:10:49  adamg
- fix x86-64 build

Revision 1.12  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.10  2006/11/09 20:45:36  glen
- strict internal deps

Revision 1.9  2003/10/07 11:29:18  qboosh
- simplified %setup

Revision 1.8  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:49:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.5  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/13 16:15:13  kloczek
- OpenGL-devel added to Requires in devel.

Revision 1.1  2002/01/13 16:10:23  misiek
- initial pld release
